Update Opportunity
curl --request PATCH \
--url https://api.getoutbox.ai/crm/opportunities/{opportunity_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"score": 123,
"value": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.getoutbox.ai/crm/opportunities/{opportunity_id}/"
payload = {
"name": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"score": 123,
"value": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
pipeline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
score: 123,
value: '<string>',
notes: '<string>'
})
};
fetch('https://api.getoutbox.ai/crm/opportunities/{opportunity_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}CRM Opportunities
Update Opportunity
Update opportunity fields. Moving to a new pipeline auto-assigns the first stage. If status is omitted while pipeline_id or stage_id change, status is re-derived from the new stage.
PATCH
/
crm
/
opportunities
/
{opportunity_id}
/
Update Opportunity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum string length:
1Pass null to unlink the contact.
open- openwon- wonlost- lost
Available options:
open, won, lost Pattern:
^-?\d{0,16}(?:\.\d{0,2})?$Response
Updated opportunity.
⌘I

